ata_bus_reset
Prev | Chapter 4. libata Library | Next

## Name

ata_bus_reset — reset host port and associated ATA channel

## Synopsis

`void ata_bus_reset (` | struct ata_port * | ap`)`;

## Arguments

`ap`

  port to reset

## Description

This is typically the first time we actually start issuing commands to the ATA channel. We wait for BSY to clear, then issue EXECUTE DEVICE DIAGNOSTIC command, polling for its result. Determine what devices, if any, are on the channel by looking at the device 0/1 error register. Look at the signature stored in each device's taskfile registers, to determine if the device is ATA or ATAPI.

## LOCKING

PCI/etc. bus probe sem. Obtains host lock.

## SIDE EFFECTS

Sets ATA_FLAG_DISABLED if bus reset fails.

Prev | Up | Next
ata_wait_ready | Home | sata_link_debounce